#### D.4.27.18 equidim

Procedure from library `primdec.lib` (see primdec_lib).

Usage:
  equidim(I) or equidim(I,1) ; I ideal

Return:
  list of equidimensional ideals a[1],...,a[s] with:
  - a[s] the equidimensional locus of I, i.e. the intersection of the primary ideals of dimension of I, except I is unit ideal. - a[1],...,a[s-1] the lower dimensional equidimensional loci. If I is the unit ideal, a list containing the unit ideal as a[1] is returned.

Note:
  An embedded component q (primary ideal) of I can be replaced in the decomposition by a primary ideal q1 with the same radical as q.
  `equidim(I,1)` uses the algorithm of Eisenbud/Huneke/Vasconcelos.

Example:

    LIB "primdec.lib";
    ring  r = 32003,(x,y,z),dp;
    ideal i = intersect(ideal(z),ideal(x,y),ideal(x2,z2),ideal(x5,y5,z5));
    equidim(i);
    ==> [1]:
    ==>    _[1]=z4
    ==>    _[2]=y5
    ==>    _[3]=x5
    ==>    _[4]=x3z3
    ==>    _[5]=x4y4
    ==> [2]:
    ==>    _[1]=yz
    ==>    _[2]=xz
    ==>    _[3]=x2
    ==> [3]:
    ==>    _[1]=z

User manual for Singular version 4.4.1, 2025, generated by texi2html.